gtkmm: Gdk::EventGrabBroken Class Reference

gtkmm 3.93.0

Public Member Functions | Related Functions | List of all members
Gdk::EventGrabBroken Class Reference

Generated when a pointer or keyboard grab is broken. More...

`#include <gdkmm/events.h>`

Inheritance diagram for Gdk::EventGrabBroken:
[legend]

## Public Member Functions
GdkEventGrabBroken* | gobj () noexcept
| Provides access to the underlying C instance. More...
const GdkEventGrabBroken* | gobj () const noexcept
| Provides access to the underlying C instance. More...
GdkEventGrabBroken* | gobj_copy ()
| Provides access to the underlying C instance. More...
Glib::RefPtr< Gdk::Window > | get_grab_window ()
| Gets the new grab window if this event is caused by another grab in the same application. More...
Glib::RefPtr< const Gdk::Window > | get_grab_window () const
| Gets the new grab window if this event is caused by another grab in the same application. More...
Public Member Functions inherited from Gdk::Event
| Event (Event&& src) noexcept
Event& | operator= (Event&& src) noexcept
| ~Event () noexcept override
GdkEvent* | gobj ()
| Provides access to the underlying C GObject. More...
const GdkEvent* | gobj () const
| Provides access to the underlying C GObject. More...
GdkEvent* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Event > | copy () const
| Copies a Gdk::Event, copying or incrementing the reference count of the resources associated with it (e.g. Gdk::Window’s and strings). More...
Type | get_event_type () const
| Retrieves the type of the event. More...
Glib::RefPtr< Gdk::Window > | get_window ()
| Extracts the Gdk::Window associated with an event. More...
Glib::RefPtr< const Gdk::Window > | get_window () const
| Extracts the Gdk::Window associated with an event. More...
bool | is_sent () const
| Returns `true` if the event was sent explicitly (e.g. More...
void | set_device (const Glib::RefPtr< Device >& device)
| Sets the device for event to device. More...
Glib::RefPtr< Device > | get_device ()
| If the event contains a “device” field, this function will return it, else it will return `nullptr`. More...
Glib::RefPtr< const Device > | get_device () const
| If the event contains a “device” field, this function will return it, else it will return `nullptr`. More...
void | set_source_device (const Glib::RefPtr< Device >& device)
| Sets the slave device for event to device. More...
Glib::RefPtr< Device > | get_source_device ()
| This function returns the hardware (slave) Gdk::Device that has triggered the event, falling back to the virtual (master) device (as in get_device()) if the event wasn’t caused by interaction with a hardware device. More...
Glib::RefPtr< const Device > | get_source_device () const
| This function returns the hardware (slave) Gdk::Device that has triggered the event, falling back to the virtual (master) device (as in get_device()) if the event wasn’t caused by interaction with a hardware device. More...
void | set_display (const Glib::RefPtr< Display >& display)
| Sets the display that an event is associated with. More...
Glib::RefPtr< Display > | get_display ()
| Retrieves the Gdk::Display associated to the event. More...
Glib::RefPtr< const Display > | get_display () const
| Retrieves the Gdk::Display associated to the event. More...
Glib::RefPtr< Seat > | get_seat ()
| Returns the Gdk::Seat this event was generated for. More...
Glib::RefPtr< const Seat > | get_seat () const
| Returns the Gdk::Seat this event was generated for. More...
Glib::PropertyProxy_ReadOnly< Type > | property_event_type () const
| Event type. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdk::EventGrabBroken > | wrap (GdkEventGrabBroken* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gdk::Event
Glib::RefPtr< Gdk::Event > | wrap (GdkEvent* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gdk::Event
enum | Type { Type::NOTHING, Type::DELETE, Type::DESTROY, Type::EXPOSE, Type::MOTION_NOTIFY, Type::BUTTON_PRESS, Type::BUTTON_RELEASE, Type::KEY_PRESS, Type::KEY_RELEASE, Type::ENTER_NOTIFY, Type::LEAVE_NOTIFY, Type::FOCUS_CHANGE, Type::CONFIGURE, Type::MAP, Type::UNMAP, Type::PROXIMITY_IN, Type::PROXIMITY_OUT, Type::DRAG_ENTER, Type::DRAG_LEAVE, Type::DRAG_MOTION, Type::DROP_START, Type::SCROLL, Type::GRAB_BROKEN, Type::TOUCH_BEGIN, Type::TOUCH_UPDATE, Type::TOUCH_END, Type::TOUCH_CANCEL, Type::TOUCHPAD_SWIPE, Type::TOUCHPAD_PINCH, Type::PAD_BUTTON_PRESS, Type::PAD_BUTTON_RELEASE, Type::PAD_RING, Type::PAD_STRIP, Type::PAD_GROUP_MODE, Type::EVENT_LAST }
| Specifies the type of the event. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Static Public Member Functions inherited from Gdk::Event
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Event > | create (Type event_type)
| Creates a new event of the given type. More...
static void | set_show_events (bool show_events=true)
| Sets whether a trace of received events is output. More...
static bool | get_show_events ()
| Gets whether event debugging output is enabled. More...
Protected Member Functions inherited from Gdk::Event
| Event (Type event_type)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Generated when a pointer or keyboard grab is broken.

On X11, this happens when the grab window becomes unviewable (i.e. it or one of its ancestors is unmapped), or if the same application grabs the pointer or keyboard again. Note that implicit grabs (which are initiated by button presses) can also cause Gdk::EventGrabBroken events.

get_event_type() will return Gdk::Event::Type::GRAB_BROKEN.

Since gtkmm 3.90:

## Member Function Documentation

## ◆ get_grab_window() [1/2]

Glib::RefPtr<Gdk::Window> Gdk::EventGrabBroken::get_grab_window | ( |  | ) |

Gets the new grab window if this event is caused by another grab in the same application.

Returns
  If this event is caused by another grab in the same application then the new grab window, else Glib::RefPtr<Gdk::Window>(nullptr).

## ◆ get_grab_window() [2/2]

Glib::RefPtr<const Gdk::Window> Gdk::EventGrabBroken::get_grab_window | ( |  | ) | const

Gets the new grab window if this event is caused by another grab in the same application.

Returns
  If this event is caused by another grab in the same application then the new grab window, else Glib::RefPtr<const Gdk::Window>(nullptr).

## ◆ gobj() [1/2]

GdkEventGrabBroken* Gdk::EventGrabBroken::gobj | ( |  | ) |
| inlinenoexcept

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GdkEventGrabBroken* Gdk::EventGrabBroken::gobj | ( |  | ) | const
| inlinenoexcept

Provides access to the underlying C instance.

## ◆ gobj_copy()

GdkEventGrabBroken* Gdk::EventGrabBroken::gobj_copy | ( |  | ) |

Provides access to the underlying C instance.

The caller is responsible for unrefing it with g_object_unref(). Use when directly setting fields in structs.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gdk::EventGrabBroken > wrap | ( | GdkEventGrabBroken * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | `false` if the result should take ownership of the C instance. `true` if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.